"use strict";

exports.__esModule = true;
exports.getShortid = getShortid;
exports.randomContainer = randomContainer;
exports.randomField = randomField;
var shortid = require('shortid');

//uuid获取id
function _shortid() {
  var _orderid = shortid.generate("0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_");
  //    console.log(_orderid)
  return _orderid;
}
function getShortid() {
  var id = _shortid() + +new Date();
  return id;
}

//随机字段名
function randomField(str) {
  if (str === void 0) {
    str = 'field_';
  }
  var newStr = str + _shortid();
  return newStr;
}

// 随机容器名
function randomContainer() {
  var str = 'containder_' + _shortid();
  return str;
}